ojph_defs.h File Reference
`#include <cstdint>`
`#include "ojph_version.h"`

Go to the source code of this file.

## Namespaces

namespace | ojph

## Macros

#define | OJPH_INT_STRINGIFY(I) #I
#define | OJPH_INT_TO_STRING(I) OJPH_INT_STRINGIFY(I)
#define | ojph_div_ceil(a, b) (((a) + (b) - 1) / (b))
#define | ojph_max(a, b) (((a) > (b)) ? (a) : (b))
#define | ojph_min(a, b) (((a) < (b)) ? (a) : (b))
#define | ojph_unused(x) (void)(x)

## Typedefs

typedef uint8_t | ojph::ui8
typedef int8_t | ojph::si8
typedef uint16_t | ojph::ui16
typedef int16_t | ojph::si16
typedef uint32_t | ojph::ui32
typedef int32_t | ojph::si32
typedef uint64_t | ojph::ui64
typedef int64_t | ojph::si64

## Variables

const int | ojph::NUM_FRAC_BITS = 13

## Macro Definition Documentation

## ojph_div_ceil

#define ojph_div_ceil | ( |  | a,
|  |  | b
| ) |  | (((a) + (b) - 1) / (b))

## OJPH_INT_STRINGIFY

#define OJPH_INT_STRINGIFY | ( |  | I | ) | #I

## OJPH_INT_TO_STRING

#define OJPH_INT_TO_STRING | ( |  | I | ) | OJPH_INT_STRINGIFY(I)

## ojph_max

#define ojph_max | ( |  | a,
|  |  | b
| ) |  | (((a) > (b)) ? (a) : (b))

## ojph_min

#define ojph_min | ( |  | a,
|  |  | b
| ) |  | (((a) < (b)) ? (a) : (b))

## ojph_unused

#define ojph_unused | ( |  | x | ) | (void)(x)